> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a workspace chat thread



## OpenAPI

````yaml /openapi.json patch /api/v1/threads/{id}
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/threads/{id}:
    patch:
      summary: Update a workspace chat thread
      operationId: updateChatThread
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatThreadUpdate'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatThreadSummary'
      security:
        - cookieAuth: []
        - bearerAuth:
            - chat:write
components:
  schemas:
    ChatThreadUpdate:
      type: object
      properties:
        workspace:
          type: string
        title:
          type: string
          minLength: 1
          maxLength: 100
        pinned:
          type: boolean
      required:
        - workspace
      additionalProperties: false
    ChatThreadSummary:
      type: object
      properties:
        id:
          type: string
        workspace:
          type: string
        title:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        messageCount:
          type: integer
          minimum: 0
        pinned:
          type: boolean
      required:
        - id
        - workspace
        - title
        - createdAt
        - updatedAt
        - messageCount
        - pinned
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````